Subject: Re: bug#35557: 26.1; false positive: Match data clobbered by buffer modification hooks

From: Stefan Kangas <[email-masked]>
Date: Thu, 16 Jan 2020 15:23:57 +0100

David Bremner <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> Paul Eggert <[email-masked]> writes:
>>
>>> I tried to reproduce the bug and failed, so I'm afraid you'll have to step in
>>> and help debug it. First, please use 26.2 rather than 26.1. Second, please 
>>> simplify the ./configure arguments (there are some duplicates, and
>>> --enable-libsystemd isn't the right name for the flag). Third, I suggest running 
>>> it under GDB and seeing what exactly goes wrong, e.g., by putting a watchpoint
>>> on search_regs.start[sub].
>>
>> I couldn't reproduce this bug either.
>>
>> David, could you please look into the above suggestions by Paul?
>
> FYI I've filed Debian bug 931651 about this. I did duplicate the problem
> without docker, and with emacs 26.3, but on an s390x system (and it
> seems to be sensitive to _which_ s390x system, so that is a bit
> discouraging).
>
> I haven't had time to follow up Paul's suggestions.

Thank you.  As it seems to be specific to certain s390x machines, I
think we will be dependent on your help to track this down.  When you
find the time, it would be very good if you could try the things
suggested by Paul above.

Thanks in advance.

Best regards,
Stefan Kangas